<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Управление ботами';
head();
levels(8);
who_add(0,'enter');

switch($mod){
default:
echo '&#187; <a href="bots?mod=names">Ники ботов</a><br />';
echo '&#187; <a href="bots?mod=set">Настройки</a><br /><br />';
break;

case set:

if (empty($act)){
if ($ver!='wml')echo '<form action="bots?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';



echo 'Принимать ответы с компа (викт):<br/>';
echo '<select name="vict">';
if($set['vict'] == 0){
echo '<option value="0">Нет</option>';
echo '<option value="1">Да</option>';
} else {
echo '<option value="1">Да</option>';
echo '<option value="0">Нет</option>';
}
echo '</select><br/>';

echo 'Интервал Умника (сек.):<br/>';
echo '<select name="victint">';
if($set['victint'] === 10){
echo '<option value="10">10</option>';
}
elseif($set['victint'] === '30'){
echo '<option value="30">30</option>';
}
elseif($set['victint'] === '60'){
echo '<option value="60">60</option>';
}
elseif($set['victint'] === '120'){
echo '<option value="120">120</option>';
}
echo '<option value="10">10</option>';
echo '<option value="30">30</option>';
echo '<option value="60">60</option>';
echo '<option value="120">120</option>';
echo '</select><br/>';

echo 'Интервал шутника (мин.):<br/>';

echo '<select name="shuttime">';
if($set['shuttime'] === '600'){
echo '<option value="600">10</option>';
}
elseif($set['shuttime'] === '1800'){
echo '<option value="1800">30</option>';
}
elseif($set['shuttime'] === '3600'){
echo '<option value="3600">60</option>';
}
elseif($set['shuttime'] === '7200'){
echo '<option value="7200">120</option>';
}
echo '<option value="600">10</option>';
echo '<option value="1800">30</option>';
echo '<option value="3600">60</option>';
echo '<option value="7200">120</option>';
echo '</select><br/>';

echo 'Интервал знатока (мин.):<br/>';
echo '<select name="znatoktime">';
if($set['znatoktime'] === '600'){
echo '<option value="600">10</option>';
}
elseif($set['znatoktime'] === '1800'){
echo '<option value="1800">30</option>';
}
elseif($set['znatoktime'] === '3600'){
echo '<option value="3600">60</option>';
}
elseif($set['znatoktime'] === '7200'){
echo '<option value="7200">120</option>';
}
echo '<option value="600">10</option>';
echo '<option value="1800">30</option>';
echo '<option value="3600">60</option>';
echo '<option value="7200">120</option>';
echo '</select><br/>';

echo 'Интервал анекдота (мин.):<br/>';
echo '<select name="anektime">';
if($set['anektime'] === '600'){
echo '<option value="600">10</option>';
}
elseif($set['anektime'] === '1800'){
echo '<option value="1800">30</option>';
}
elseif($set['anektime'] === '3600'){
echo '<option value="3600">60</option>';
}
elseif($set['anektime'] === '7200'){
echo '<option value="7200">120</option>';
}
echo '<option value="600">10</option>';
echo '<option value="1800">30</option>';
echo '<option value="3600">60</option>';
echo '<option value="7200">120</option>';
echo '</select><br/>';

echo 'Цена ответа в викт.(постов):<br/>';
echo '<input type="text" name="cena_answ" value="'.$set['cena_answ'].'" maxlength="20" title="Цена"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Добавить<go href="bots?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post">';
echo '
<postfield name="vict" value="$vict"/>
<postfield name="znatoktime" value="$znatoktime"/>
<postfield name="shuttime" value="$shuttime"/>
<postfield name="victint" value="$victint"/>
<postfield name="anektime" value="$anektime"/>
<postfield name="cena_answ" value="$cena_answ"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}


}else{


$vict = check($_POST['vict']);
$znatoktime = check($_POST['znatoktime']);
$shuttime = check($_POST['shuttime']);
$victint = check($_POST['victint']);
$anektime = check($_POST['anektime']);
$cena_answ = check($_POST['cena_answ']);

$db->sql_query("UPDATE `setting` SET `vict` = '$vict', `znatoktime` = '$znatoktime', `shuttime` = '$shuttime', `victint` = '$victint', `anektime` = '$anektime', `cena_answ` = '$cena_answ' WHERE `ids` = '1'");
header ('Location: bots?'.SID);  exit;

}

break;

case names:

if (empty($act)){
if ($ver!='wml')echo '<form action="bots?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';

echo 'Система:<br/>';
echo '<input type="text" name="system" value="'.$set['system'].'" maxlength="50" title="Система"/><br/>';
echo 'Умник:<br/>';
echo '<input type="text" name="umnik" value="'.$set['umnik'].'" maxlength="50" title="Умник"/><br/>';
echo 'Барыга:<br/>';
echo '<input type="text" name="baryga" value="'.$set['baryga'].'" maxlength="50" title="Барыга"/><br/>';
echo 'Шутник:<br/>';
echo '<input type="text" name="shut" value="'.$set['shut'].'" maxlength="50" title="Шутник"/><br/>';
echo 'Анекдот:<br/>';
echo '<input type="text" name="anek" value="'.$set['anek'].'" maxlength="50" title="Анекдот"/><br/>';
echo 'Тупица:<br/>';
echo '<input type="text" name="tupica" value="'.$set['tupica'].'" maxlength="50" title="Тупица"/><br/>';
echo 'Священник:<br/>';
echo '<input type="text" name="svaisch" value="'.$set['svaisch'].'" maxlength="50" title="Священник"/><br/>';
echo 'Знаток:<br/>';
echo '<input type="text" name="znatok" value="'.$set['znatok'].'" maxlength="50" title="Знаток"/><br/>';
echo 'Флудер:<br/>';
echo '<input type="text" name="flyder" value="'.$set['flyder'].'" maxlength="50" title="Флудер"/><br/>';

echo 'Мафиози:<br/>';
echo '<input type="text" name="mafiozi" value="'.$set['mafiozi'].'" maxlength="50" title="Флудер"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Добавить<go href="bots?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post">';
echo '
<postfield name="umnik" value="$umnik"/>
<postfield name="shut" value="$shut"/>
<postfield name="anek" value="$anek"/>
<postfield name="tupica" value="$tupica"/>
<postfield name="svaisch" value="$svaisch"/>
<postfield name="system" value="$system"/>
<postfield name="baryga" value="$baryga"/>
<postfield name="znatok" value="$znatok"/>
<postfield name="flyder" value="$flyder"/>
<postfield name="mafiozi" value="$mafiozi"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}


}else{


$umnik = check($_POST['umnik']);
$shut = check($_POST['shut']);
$anek = check($_POST['anek']);
$tupica = check($_POST['tupica']);
$svaisch = check($_POST['svaisch']);
$system = check($_POST['system']);
$baryga = check($_POST['baryga']);
$znatok = check($_POST['znatok']);
$flyder = check($_POST['flyder']);
$mafiozi = check($_POST['mafiozi']);

$db->sql_query("UPDATE `setting` SET `umnik` = '$umnik', `shut` = '$shut', `anek` = '$anek', `tupica` = '$tupica', `svaisch` = '$svaisch', `system` = '$system', `baryga` = '$baryga', `znatok` = '$znatok', `flyder` = '$flyder', `mafiozi` = '$mafiozi' WHERE `ids` = '1'");
header ('Location: bots?'.SID);  exit;

}

break;



}

if ($mod)echo gb.'<a href="bots">Управление ботами</a>'.div;

echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();

?>
